[Документация Yandex Cloud](../../../index.md) > [Yandex StoreDoc](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [Cluster](index.md) > Get

# Managed Service for MongoDB API, REST: Cluster.Get

Returns the specified MongoDB Cluster resource.
To get the list of available MongoDB Cluster resources, make a [List](list.md#List) request.

## HTTP request

```
GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}
```

## Path parameters

#|
||Field | Description ||
|| clusterId | **string**

Required field. ID of the MongoDB Cluster resource to return.
To get the cluster ID, use a [ClusterService.List](list.md#List) request.

The maximum string length in characters is 50. ||
|#

## Response {#yandex.cloud.mdb.mongodb.v1.Cluster}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "folderId": "string",
  "createdAt": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "environment": "string",
  "monitoring": [
    {
      "name": "string",
      "description": "string",
      "link": "string"
    }
  ],
  "config": {
    "version": "string",
    "featureCompatibilityVersion": "string",
    // Includes only one of the fields `mongodb_3_6`, `mongodb_4_0`, `mongodb_4_2`, `mongodb_4_4`, `mongodb_5_0`, `mongodb_6_0`, `mongodb_4_4Enterprise`, `mongodb_5_0Enterprise`, `mongodb_6_0Enterprise`
    "mongodb_3_6": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                }
              },
              "journal": {
                "enabled": "boolean",
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                }
              },
              "journal": {
                "enabled": "boolean",
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                }
              },
              "journal": {
                "enabled": "boolean",
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    "mongodb_4_0": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    "mongodb_4_2": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    "mongodb_4_4": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    "mongodb_5_0": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    "mongodb_6_0": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    "mongodb_4_4Enterprise": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    "mongodb_5_0Enterprise": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    "mongodb_6_0Enterprise": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            }
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            }
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      }
    },
    // end of the list of possible fields
    "backupWindowStart": {
      "hours": "integer",
      "minutes": "integer",
      "seconds": "integer",
      "nanos": "integer"
    },
    "backupRetainPeriodDays": "string",
    "performanceDiagnostics": {
      "profilingEnabled": "boolean"
    },
    "access": {
      "dataLens": "boolean",
      "webSql": "boolean",
      "dataTransfer": "boolean"
    },
    "mongodbConfig": {
      "mongod": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number",
                  "cacheSize": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string",
              "flowControlTargetLagSeconds": "string",
              "flowControlWarnThresholdSeconds": "string",
              "migrateCloneInsertionBatchDelayMs": "string",
              "migrateCloneInsertionBatchSize": "string",
              "orphanCleanupDelaySecs": "string",
              "persistedChunkCacheUpdateMaxBatchSize": "string",
              "rangeDeleterBatchDelayMs": "string",
              "rangeDeleterBatchSize": "string",
              "mirrorReads": {
                "samplingRate": "number",
                "maxTimeMs": "string"
              },
              "redactClientLogData": "boolean"
            },
            "oplog": {
              "maxSizePercent": "string",
              "minRetentionHours": "number"
            },
            "chainingAllowed": "boolean"
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number",
                  "cacheSize": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string",
              "flowControlTargetLagSeconds": "string",
              "flowControlWarnThresholdSeconds": "string",
              "migrateCloneInsertionBatchDelayMs": "string",
              "migrateCloneInsertionBatchSize": "string",
              "orphanCleanupDelaySecs": "string",
              "persistedChunkCacheUpdateMaxBatchSize": "string",
              "rangeDeleterBatchDelayMs": "string",
              "rangeDeleterBatchSize": "string",
              "mirrorReads": {
                "samplingRate": "number",
                "maxTimeMs": "string"
              },
              "redactClientLogData": "boolean"
            },
            "oplog": {
              "maxSizePercent": "string",
              "minRetentionHours": "number"
            },
            "chainingAllowed": "boolean"
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number",
                  "cacheSize": "number"
                },
                "collectionConfig": {
                  "blockCompressor": "string"
                },
                "indexConfig": {
                  "prefixCompression": "boolean"
                }
              },
              "journal": {
                "commitInterval": "string"
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string",
              "slowOpSampleRate": "number"
            },
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "security": {
              "enableEncryption": "boolean",
              "kmip": {
                "serverName": "string",
                "port": "string",
                "serverCa": "string",
                "clientCertificate": "string",
                "keyIdentifier": "string"
              }
            },
            "auditLog": {
              "filter": "string",
              "runtimeConfiguration": "boolean"
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "enableFlowControl": "boolean",
              "minSnapshotHistoryWindowInSeconds": "string",
              "flowControlTargetLagSeconds": "string",
              "flowControlWarnThresholdSeconds": "string",
              "migrateCloneInsertionBatchDelayMs": "string",
              "migrateCloneInsertionBatchSize": "string",
              "orphanCleanupDelaySecs": "string",
              "persistedChunkCacheUpdateMaxBatchSize": "string",
              "rangeDeleterBatchDelayMs": "string",
              "rangeDeleterBatchSize": "string",
              "mirrorReads": {
                "samplingRate": "number",
                "maxTimeMs": "string"
              },
              "redactClientLogData": "boolean"
            },
            "oplog": {
              "maxSizePercent": "string",
              "minRetentionHours": "number"
            },
            "chainingAllowed": "boolean"
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongocfg": {
        "config": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number",
                  "cacheSize": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "auditAuthorizationSuccess": "boolean",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "oplog": {
              "maxSizePercent": "string",
              "minRetentionHours": "number"
            },
            "chainingAllowed": "boolean"
          },
          "userConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number",
                  "cacheSize": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "auditAuthorizationSuccess": "boolean",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "oplog": {
              "maxSizePercent": "string",
              "minRetentionHours": "number"
            },
            "chainingAllowed": "boolean"
          },
          "defaultConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number",
                  "cacheSize": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
              "slowOpThreshold": "string"
            },
            "net": {
              "maxIncomingConnections": "string"
            },
            "setParameter": {
              "enableFlowControl": "boolean",
              "auditAuthorizationSuccess": "boolean",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "oplog": {
              "maxSizePercent": "string",
              "minRetentionHours": "number"
            },
            "chainingAllowed": "boolean"
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongos": {
        "config": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "readHedgingMode": "string",
              "shardingTaskExecutorPoolMaxSize": "string",
              "shardingTaskExecutorPoolMaxConnecting": "string",
              "shardingTaskExecutorPoolMinSize": "string",
              "shardingTaskExecutorPoolReplicaSetMatching": "string",
              "shardingTaskExecutorPoolHostTimeoutMs": "string",
              "shardingTaskExecutorPoolRefreshRequirementMs": "string",
              "shardingTaskExecutorPoolRefreshTimeoutMs": "string",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartup": "boolean",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs": "string",
              "shardingTaskExecutorPoolMaxSizeForConfigServers": "string",
              "shardingTaskExecutorPoolMinSizeForConfigServers": "string",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "chunkSize": "string"
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "readHedgingMode": "string",
              "shardingTaskExecutorPoolMaxSize": "string",
              "shardingTaskExecutorPoolMaxConnecting": "string",
              "shardingTaskExecutorPoolMinSize": "string",
              "shardingTaskExecutorPoolReplicaSetMatching": "string",
              "shardingTaskExecutorPoolHostTimeoutMs": "string",
              "shardingTaskExecutorPoolRefreshRequirementMs": "string",
              "shardingTaskExecutorPoolRefreshTimeoutMs": "string",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartup": "boolean",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs": "string",
              "shardingTaskExecutorPoolMaxSizeForConfigServers": "string",
              "shardingTaskExecutorPoolMinSizeForConfigServers": "string",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "chunkSize": "string"
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "readHedgingMode": "string",
              "shardingTaskExecutorPoolMaxSize": "string",
              "shardingTaskExecutorPoolMaxConnecting": "string",
              "shardingTaskExecutorPoolMinSize": "string",
              "shardingTaskExecutorPoolReplicaSetMatching": "string",
              "shardingTaskExecutorPoolHostTimeoutMs": "string",
              "shardingTaskExecutorPoolRefreshRequirementMs": "string",
              "shardingTaskExecutorPoolRefreshTimeoutMs": "string",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartup": "boolean",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs": "string",
              "shardingTaskExecutorPoolMaxSizeForConfigServers": "string",
              "shardingTaskExecutorPoolMinSizeForConfigServers": "string",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "chunkSize": "string"
          }
        },
        "resources": {
          "resourcePresetId": "string",
          "diskSize": "string",
          "diskTypeId": "string"
        },
        "diskSizeAutoscaling": {
          "plannedUsageThreshold": "string",
          "emergencyUsageThreshold": "string",
          "diskSizeLimit": "string"
        }
      },
      "mongoinfra": {
        "configMongos": {
          "effectiveConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "readHedgingMode": "string",
              "shardingTaskExecutorPoolMaxSize": "string",
              "shardingTaskExecutorPoolMaxConnecting": "string",
              "shardingTaskExecutorPoolMinSize": "string",
              "shardingTaskExecutorPoolReplicaSetMatching": "string",
              "shardingTaskExecutorPoolHostTimeoutMs": "string",
              "shardingTaskExecutorPoolRefreshRequirementMs": "string",
              "shardingTaskExecutorPoolRefreshTimeoutMs": "string",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartup": "boolean",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs": "string",
              "shardingTaskExecutorPoolMaxSizeForConfigServers": "string",
              "shardingTaskExecutorPoolMinSizeForConfigServers": "string",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "chunkSize": "string"
          },
          "userConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "readHedgingMode": "string",
              "shardingTaskExecutorPoolMaxSize": "string",
              "shardingTaskExecutorPoolMaxConnecting": "string",
              "shardingTaskExecutorPoolMinSize": "string",
              "shardingTaskExecutorPoolReplicaSetMatching": "string",
              "shardingTaskExecutorPoolHostTimeoutMs": "string",
              "shardingTaskExecutorPoolRefreshRequirementMs": "string",
              "shardingTaskExecutorPoolRefreshTimeoutMs": "string",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartup": "boolean",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs": "string",
              "shardingTaskExecutorPoolMaxSizeForConfigServers": "string",
              "shardingTaskExecutorPoolMinSizeForConfigServers": "string",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "chunkSize": "string"
          },
          "defaultConfig": {
            "net": {
              "maxIncomingConnections": "string",
              "compression": {
                "compressors": [
                  "string"
                ]
              }
            },
            "setParameter": {
              "auditAuthorizationSuccess": "boolean",
              "readHedgingMode": "string",
              "shardingTaskExecutorPoolMaxSize": "string",
              "shardingTaskExecutorPoolMaxConnecting": "string",
              "shardingTaskExecutorPoolMinSize": "string",
              "shardingTaskExecutorPoolReplicaSetMatching": "string",
              "shardingTaskExecutorPoolHostTimeoutMs": "string",
              "shardingTaskExecutorPoolRefreshRequirementMs": "string",
              "shardingTaskExecutorPoolRefreshTimeoutMs": "string",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartup": "boolean",
              "warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs": "string",
              "shardingTaskExecutorPoolMaxSizeForConfigServers": "string",
              "shardingTaskExecutorPoolMinSizeForConfigServers": "string",
              "redactClientLogData": "boolean"
            },
            "auditLog": {
              "filter": "string"
            },
            "chunkSize": "string"
          }
        },
        "configMongocfg": {
          "effectiveConfig": {
            "storage": {
              "wiredTiger": {
                "engineConfig": {
                  "cacheSizeGb": "number",
                  "cacheSize": "number"
                }
              }
            },
            "operationProfiling": {
              "mode": "string",
[...]
